Name:		perl-Test-XML
Version:	0.08
Release:    1%{?dist}
Summary:	Compare XML in perl tests
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Test-XML
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-XML-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Carp)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XML::LibXML)
BuildRequires:	perl(XML::Parser)
BuildRequires:	perl(XML::SAX)
BuildRequires:	perl(XML::SAX::ParserFactory)
BuildRequires:	perl(XML::SAX::Writer)
BuildRequires:	perl(XML::SemanticDiff)
BuildRequires:	perl(XML::Twig)
BuildRequires:	perl(XML::XPath)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(XML::SAX::Base)
Requires:	perl(XML::LibXML)
Requires:	perl(XML::XPath)

%description
This module contains generic XML testing tools. Functions include:

is_xml(GOT, EXPECTED [, TESTNAME ])

  This function compares GOT and EXPECTED, both of which are strings of XML.
  The comparison works semantically and will ignore differences in syntax
  that are meaningless in xml, such as different quote characters for
  attributes, order of attributes or empty tag styles. It returns true or
  false, depending upon test success.

isnt_xml(GOT, MUST_NOT_BE [, TESTNAME ])

  This function is similar to is_xml(), except that it will fail if GOT and
  MUST_NOT_BE are identical.

is_well_formed_xml(XML [, TESTNAME ])

  This function determines whether or not a given XML string is parsable as
  XML.

is_good_xml(XML [, TESTNAME ])

    This is an alias for is_well_formed_xml().

%prep
%setup -q -n Test-XML-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::XML.3*
%{_mandir}/man3/Test::XML::SAX.3*
%{_mandir}/man3/Test::XML::Twig.3*
%{_mandir}/man3/Test::XML::XPath.3*

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.08-1
- initial build
